Ext.define('TradePortal.view.invoice.Panel', {
		extend: 'Ext.panel.Panel',
		alias: 'widget.invoicepanel',
		border: false,
		id: 'invoice_panel',
		layout: {
			type: 'vbox',
			pack: 'center',
			align: 'center'
		},
		items: [
			{
				border: false,
				layout: 'vbox',

				items: [
					{
						border: false,
						html: '<small class="breadcrumb_text"> > Invoices</small>'
					},
					{
						layout: 'hbox',
						border: false,
						items: [{
							width: 43,
							height: 39,
							baseCls: 'breadcrumbs-home',
							border: false,
							listeners: { el: {
								click: function () {
									Ext.getCmp('main_panel').items.items[1].down('panel').items.each(function(panel) {
										panel.hide();
									});
									Ext.getCmp('home_panel').show();
								}
							}}
						},{
							html: '<div class="breadcrumbs">Invoices</div>',
							border: false
						}]
					}
				]
			},
			{
				width: 962,
				border: false,
				items: [
					{
						xtype: 'invoicegrid'
					}
				]
			}
		],

		initComponent: function() {
			this.callParent(arguments);
		}
	});